Subject: [bug#49457] [PATCH v2] gnu: Add emacs-consult-notmuch.

From: Andrew Tropin <[email-masked]>
Date: Thu, 08 Jul 2021 13:22:03 +0300

Nicolas Goaziou <[email-masked]> writes:

> Hello,
>
> Andrew Tropin <[email-masked]> writes:
>
>> v2 uses propagated-inputs instead of inputs, because using
>> consult-notmuch without consult and notmuch doesn't make much sense.
>
> I applied this patch with the following changes:
>
>> +       (uri (git-reference
>> +             (url "https://codeberg.org/jao/consult-notmuch.git")
>
> I removed the ".git" suffix.
>
>> +    (license license:gpl3+)
>> +    (home-page "https://codeberg.org/jao/consult-notmuch")
>> +    (synopsis "Search and preview notmuch emails using consult")
>
> I properly capitalized synopsis (Notmuch, Consult).
>
>> +    (description "\
>> +This package provides two commands using consult to query notmuch
>> +emails and present results either as single emails @code{consult-notmuch}
>> +or full trees @code{consult-notmuch-tree}.
>> +
>> +The package also defines a narrowing source for @code{consult-buffer}, which
>> +can be activated with @code{(add-to-list 'consult-buffer-sources
>> +'consult-notmuch-buffer-source)}.")))
>
> I shortened the description as it looked like an introduction part of
> the manual instead.

It was complete) but shorter version is also fine.

>
> I also reordered licence, home-page, synopsis and description parts.
>
> Thank you!

Thank you!)